=== debian/changelog ===
libetnaviv-headers (1.0-r1) buster; urgency=low

  * Initial release

 -- Jookia <contact@jookia.org>  Sun, 29 Mar 2020 18:08:22 +1100
