=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

override_dh_prep:
	mkdir -p debian/tmp/libetnaviv/src/etnaviv
	mkdir -p debian/tmp/libetnaviv/attic/etnaviv
	cp -r src/etnaviv/*.h debian/tmp/libetnaviv/src/etnaviv
	cp -r attic/etnaviv/*.h debian/tmp/libetnaviv/attic/etnaviv

# main packaging script based on dh7 syntax
%:
	dh $@
